> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhook events for a subscription

> Requires the `webhook_event:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /webhook-subscriptions/{webhook_subscription}/webhook-events
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /webhook-subscriptions/{webhook_subscription}/webhook-events:
    get:
      tags:
        - Webhook Events
      summary: List all webhook events for a subscription
      description: Requires the `webhook_event:read` ability.
      operationId: webhook-subscriptions.webhook-events.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `status`, `type`. You can sort by
            multiple options by separating them with a comma. To sort in
            descending order, use `-` sign in front of the sort, for example:
            `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: webhook_subscription
          in: path
          required: true
          description: 'The webhook subscription ID. Example: `wh_sub_01jz8v2q4x...`'
          schema:
            type: string
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - attempts
          explode: false
        - name: fields[webhook-events]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - type
                - webhook_url
                - payload
                - created_at
                - attempts_count
                - last_attempted_at
                - last_response_status_code
          explode: false
        - name: fields[webhook-event-attempts]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - attempt
                - created_at
                - response_status_code
          explode: false
        - name: filter[type]
          in: query
          description: Filter by event type.
          schema:
            $ref: '#/components/schemas/WebhookEventType'
            examples:
              - verification.successful
        - name: filter[status]
          in: query
          description: Filter by delivery status.
          schema:
            $ref: '#/components/schemas/WebhookEventStatus'
            examples:
              - succeeded
        - name: filter[created_at_start]
          in: query
          description: Filter events created on or after this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-01T00:00:00Z'
        - name: filter[created_at_end]
          in: query
          description: Filter events created on or before this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-30T23:59:59Z'
      responses:
        '200':
          description: Paginated set of `WebhookEventResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookEventResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookEventAttemptResource'
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    WebhookEventType:
      type: string
      enum:
        - verification.pending
        - verification.successful
        - verification.rejected
        - verification.failed
        - verification.cancelled
        - verification.expired
        - verification.error
        - verification.confirmation_ready
        - verification.confirmation_notification_sent
      title: WebhookEventType
    WebhookEventStatus:
      type: string
      enum:
        - processing
        - succeeded
        - failed
      title: WebhookEventStatus
    WebhookEventResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-events
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The delivery status of the event.
            type:
              type: string
              description: The event type.
            webhook_url:
              type: string
              description: The webhook URL the event was sent to.
            payload:
              type: string
              description: The event payload.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            attempts_count:
              description: Total number of delivery attempts made.
              anyOf:
                - type: string
                - type: integer
                  minimum: 0
            last_attempted_at:
              type: string
              description: >-
                ISO 8601 timestamp of the most recent delivery attempt, or null
                when none yet.
            last_response_status_code: {}
        relationships:
          type: object
          properties:
            attempts:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        const: webhook-event-attempts
                    required:
                      - id
                      - type
              required:
                - data
      required:
        - id
        - type
      title: WebhookEventResource
    WebhookEventAttemptResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-event-attempts
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the delivery attempt.
            attempt:
              type: string
              description: The attempt number (1-based).
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            response_status_code: {}
      required:
        - id
        - type
      title: WebhookEventAttemptResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````